### Method

# Ide BuildManager get_running_time

#### Declaration

    GTimeSpan
    ide_build_manager_get_running_time (
      IdeBuildManager* self
    )

#### Description

Gets the amount of elapsed time of the current build as a `GTimeSpan`.

Available since: | 3.32

Gets property | `Ide.BuildManager:running-time`

#### Return value

Returns: | `GTimeSpan`
| A `GTimeSpan` containing the elapsed time of the build.